Package kiyut.sketsa.options

## Class AbstractOptions

- java.lang.Object
- - kiyut.sketsa.options.AbstractOptions

- All Implemented Interfaces:
    `Options`
  Direct Known Subclasses:
    `CanvasOptions`, `CodeColoringOptions`, `CodeFormatOptions`, `FontSetOptions`, `GeneralOptions`, `MRUFilesOptions`, `RegistrationOptions`, `SourceEditorOptions`

      public abstract class AbstractOptions
      extends Object
      implements Options

  Abstract Preferences Option. if nodeName is null, it will use DEFAULT_NODE_NAME It is using `NbPreferences` as the backing store.
  Author:
    Kiyut

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static String` | `DEFAULT_NODE_NAME` |
    `protected String` | `nodeName` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractOptions()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addPropertyChangeListener​(PropertyChangeListener listener)` |
    `protected void` | `firePropertyChange​(String propertyName, Object oldValue, Object newValue)` |
    `protected Preferences` | `getPreferences()` | Return the backing store Preferences
    `void` | `removePropertyChangeListener​(PropertyChangeListener listener)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_NODE_NAME

          protected static String DEFAULT_NODE_NAME

    - #### nodeName

          protected String nodeName

  - ### Constructor Detail

    - #### AbstractOptions

          public AbstractOptions()

  - ### Method Detail

    - #### addPropertyChangeListener

          public void addPropertyChangeListener​(PropertyChangeListener listener)

      Specified by:
        `addPropertyChangeListener` in interface `Options`

    - #### removePropertyChangeListener

          public void removePropertyChangeListener​(PropertyChangeListener listener)

      Specified by:
        `removePropertyChangeListener` in interface `Options`

    - #### firePropertyChange

          protected void firePropertyChange​(String propertyName,
                                            Object oldValue,
                                            Object newValue)

    - #### getPreferences

          protected final Preferences getPreferences()

      Return the backing store Preferences
      Returns:
        Preferences